Getting Started

  • What is Xreveal?
  • Feature Comparison

Xreveal has both internet-based help and local offline help (xreveal.chm). The offline help can be download from the Xreveal website. If you place the downloaded offline help files in the Xreveal installation folder, pressing F1 in the Xreveal's dialog box will display the offline help by default.


What is Xreveal?

Xreveal is a Windows based application that removes restrictions of DVD, and Blu-ray media automatically in the background.

Xreveal works in the background to automatically and transparently enable read access of the contents of a movie DVD or Blu-ray as soon as it's inserted into the drive. The DVD/Blu-ray will become useable to your windows operating system and all programs on your computer, such as DVD/Blu-ray backup software like CloneDVD, CloneBD and others, then supporting any DVD or Blu-ray. Xreveal optionally removes region codes, thereby making the movie region free and comfortably viewable on any DVD/Blu-ray player and with any DVD/Blu-ray playback software.

Features

  • Works automatically in the background.
  • Removes restrictions and region code from DVDs and Blu-rays.
  • Works on-the-fly without the need to store data onto your hard disk.
  • Gets rid of user prohibitions, you can select the language and subtitle track without going through the disc's menu.
  • Can disable BD-Live to protect your privacy.
  • Allows playback of discs requiring a 3D monitor on 2D displays.
  • Running natively on Windows ARM64/x64/x86 devices.

System Requirements

  • Operating System: Windows XP, Vista, 7, 8, 10, 11 or newer.
  • Hard drive space required: 5 MB.
Xreveal respects copyright, and does not condone or endorse video piracy in any way. The software is designed to allow users to experience their fair use right to the content they purchased, for example, rip, and copy their home made video (if they own the copyright) to blank discs or other media player devices. In most counties, the copyright law will allow the original purchaser or user to make a backup/copy for personal use. But it also might be illegal to make a copy or backup of the purchased movie or disc without permission according to the different laws in different countries.

It should be taken into consideration while using our software in different countries. Since our products are used world-wide, each user shall be responsible for complying with local laws in their usage, and ensure the fair use of the software. You should understand the above statement, and disclaimer content, and ensure the fair usage of this software. If you misuse or abuse the software in any form, you shall hold full legal responsibility for the caused results, and the software provider (Xreveal Team) will not be held responsible for any actions that shall be taken against your misuse of the software.


Feature Comparison

Features | Free | Pro
Decrypt BD by keydb.cfg | ✓ | ✓
Decrypt UHD by keydb.cfg | ✓ | ✓
Decrypt HD DVD by keydb.cfg | ✓ | ✓
Decrypt BDAV by keydb.cfg | ✓ | ✓
Decrypt DVD by libdvdcss-2.dll | ✓ | ✓
Blu-ray players region reset | ✓ | ✓
Rip to ISO file/Rip to folder | ✓ | ✓
DVD subtitle transparency | ✓ | ✓
Customize the AACS folder name | ✓ | ✓
Verify M2TS files | ✓ | ✓
Retrieve keys online | Limited1 | ✓
Decrypt BDAV online | Limited2 | ✓
Remove BD+ by bd+.dll | Limited3 | ✓
Install and use the previous versions | Limited4 | ✓
Decrypt 4K BDAV | - | ✓
Remove CCI | - | ✓
Content hash verifier | - | ✓
Workaround for libreDrive "sleep bug" | - | ✓
My Discs | - | ✓
Command line | - | ✓
Expert tech support | - | ✓
Dark mode | - | ✓
Remove video sequences shorter than specified minutes | - | ✓
.metaiso - 1:1 emulate the output of 'rip to folder' as a virtual drive | - | ✓
Transparent subtitles for BD/UHD | - | ✓
Remove annoying trailers and advertisements | - | todo
Find the correct playlists from obfuscated playlists | - | todo
Verify content hash during rip | - | todo
IDvdInfo2::GetDiscID returns the correct DVDID after decryption | - | todo
  1. Need an internet connection, and AACS MKB version < 76, and key exists in the public keydb.cfg.
  2. Need an internet connection, and AACS MKB version < 60.
  3. Currently, must install Xreveal Plugins and need an internet connection, additional limitations may apply in the future.
  4. The stable version expires 90 days after release, and the beta version expires after 30 days. After expiration, you need to install the latest version.
    Pro users can run any version of Xreveal without any timebomb, but we still recommend using the latest version.


Using Xreveal

Installation

The installation wizard will guide you through the setup, and it only takes a few clicks. In most cases, you don't need to restart your computer after installing Xreveal, Xreveal will try to load the kernel driver automatically. If Xreveal doesn't work after installation, please try restarting computer.

If you want to remove BD+ protection offline, please download and install Xreveal Plugins 1.0.

Run

Double-click the Xreveal icon [image] on the desktop to launch Xreveal.
When Xreveal runs you can see the Xreveal icon in the system tray at the bottom right corner of Windows.

If the Xreveal icon is not there, please click the upward arrow [image] to show it:

Xreveal tray menu

Right-click the Xreveal icon in the system tray to display the Xreveal tray menu:

  • Rip to ISO file
    Rip a disc to an ISO file.
  • Rip to Folder
    Rip a disc to(as) a folder.
  • Content Hash Verifier
    Verify the integrity of Blu-ray M2TS files, ecrypted M2TS files can also be verified.
  • Enable Xreveal
    This turns Xreveal on and off and is set "on" by default. Normally you do not need to change this unless you are using other software that may conflict with Xreveal. When Xreveal is "disabled" the Xreveal icon in the system tray will turn gray.
  • Settings...
    This will open the Xreveal Settings window. The "Settings" are also available with a single mouse click on the system tray Xreveal icon.
  • Homepage
    Jump to Xreveal Homepage.
  • Register...
    Here you can paste the license key to upgrade to Xreveal Pro.
  • Exit
    Exit Xreveal.


Rip to ISO File

Rip a disc to an ISO file.

Source

Here you can select the source drive, list the type of disc in the drive, the disc capacity, and the protections contained on the disc.

Clicking [image] will switch to Rip to Folder.

Clicking [image] will eject the disc.

Clicking [image] will will refresh the information in the current window.

Destination

Here you can set the target ISO file path, list the target drive capacity and free space.

If there is no enough space in the target drive, the Free Space will be show in red color.

Info

Here lists the drive status log information.

Options

Keep protection BD/UHD/HD-DVD

If this option is checked, Xreveal will only remove bus encryption. Equivalent to a 1:1 original copy of disc data.

If you encounter a disc that Xreveal cannot open, you can select this option. Once Xreveal supports this disc, mount the ISO file as a virtual drive then open it with Xreveal.

Verify content hash BD/UHD

This will load content hash in /AACS/ContentHash000.tbl ..., and verify content hash with each 192 KB (one hash unit, 96 sectors) in M2TS stream.

Verify M2TS sync bytes BD/UHD

This will verify the 0x47 sync byte in each 192-byte M2TS packet.

Create MD5 checksum file

This will calculate the MD5 of the ISO file during ripping and generate a [TargetFile].md5 file in the target ISO directory.

Create dvdid.xml DVD

This will create dvdid.xml for DVD disc.

Create log file

This will create log file in the target ISO directory.


Rip to Folder

Rip a disc to(as) a folder.

Source

Here you can select the source drive, list the type of disc in the drive, the disc capacity, and the protections contained on the disc.

Clicking [image] will switch to Rip to ISO File.

Clicking [image] will eject the disc.

Clicking [image] will will refresh the information in the current window.

Destination

Here you can set the target path, list the target drive capacity and free space.

If there is no enough space in the target drive, the Free Space will be show in red color.

Info

Here lists the drive status log information.

Options

Keep protection BD/UHD/HD-DVD

If this option is checked, Xreveal will only remove bus encryption. Equivalent to a 1:1 original copy of disc data.

If you encounter a disc that Xreveal cannot open, you can select this option. Once Xreveal supports this disc, mount disc.metaiso as a virtual drive then open it with Xreveal.

Verify content hash BD/UHD

This will load content hash in /AACS/ContentHash000.tbl ..., and verify content hash with each 192 KB (one hash unit, 96 sectors) in M2TS stream.

Verify M2TS sync bytes BD/UHD

This will verify the 0x47 sync byte in each 192-byte M2TS packet.

Create disc.metaiso

This will create a disc.metaiso in the destination directory.

Create dvdid.xml DVD

This will create dvdid.xml for DVD disc.

Create log file

This will create log file in the destination directory.

Copy only VIDEO_TS folder DVD

This will copy only the VIDEO_TS folder.


Content Hash Verifier

Blu-ray Content Hash Verifier

Content hash verifier is used to verify the integrity of Blu-ray M2TS files. It has two versions:

  • GUI version: right-click ‘Content Hash Verifier’ in Xreveal tray menu.
  • Portable command line version

Feature

  • Verify content hash of a ISO file
  • Verify content hash of a folder
  • Verify content hash of a drive
  • The GUI version of Content Hash Verifier can verify the content hash of decrypted .m2ts files
    Xreveal will attempt to restore AACS protection and CCI protection before verifying the content hash
  • The GUI version supports drag-and-drop files
  • If the Content Hash cannot be verified, the m2ts sync byte (0x47) will be checked

Principle

The content hash is a an 8-byte hash value of a 192 KB M2TS data block. For regular BD, the content hash is the lower 8 bytes of SHA1(M2TS_BLOCK); for 4K UHD is the lower 8 bytes of SHA256(M2TS_BLOCK).

The content hash in a Blu-ray is stored separately for each layer in /AACS/ContentHash000.tbl, /AACS/ContentHash001.tbl, /AACS/ContentHash002.tbl...


Settings

  • Status - Drives status log
    • My Discs - List the discs processed by Xreveal
    • My Drives - List the currently available optical drives
  • General - Change UI language, dark mode, etc
    • Sounds - Play sound after openning or ripping disc
    • Hotkeys - Create hotkeys to quickly run some functions of Xreveal
    • Actions - Actions after openning or ripping disc
    • Ripper - Ripper settings used by ripping to ISO and ripping to folder
  • BD / UHD - Settings to remove BD / UHD protections
    • KeyDB - Specify the keydb.cfg file path
    • Players Region - Change the region code of the Blu-ray software player
  • HD DVD - Settings to remove HD DVD protections
  • DVD - Settings to remove DVD protections
  • CD - Settings to remove CD digital audio protection
  • About - Displays the software version and registration information


Status

Drives status log.

Icon | Description
 | Xreveal is inactive for this drive
 | Xreveal is processing this drive
 | Xreveal is active for this drive
 | Xreveal is inactive for this drive, unable to open the disc
 | No disc in drive

For discs that cannot be opened, Metafile submission will help developers quickly identifying issues.

Right-click to display the context menu:


My Discs

My Discs Pro

List the discs processed by Xreveal. Click on the respective record to view more detailed information.

Import data to My Discs

My Discs is stored as a sqlite file at %ProgramData%\xreveal\keydb.db.

You can use the Import... feature in the My Discs context menu to import My Discs record from one computer to another:

If your target PC has no My Discs data, you also can simply copy keydb.db from the source computer and replace keydb.db in your target computer.

Disc Information

Double-click a record in My Discs will show the disc information:


My Drives

List the currently available optical drives. Xreveal will not scan the drive if it's not checked.

Double-clicking the drive allows you to view detailed information about the drive, such as the drive certificate.

Enable LibreDrive for UHD

This is a global setting for all optical drives. If you only want to set a specific drive, you can do so on the interface after clicking the respective drive.

Currently, there is no publicly available AACS 2.0 Host Certificate, and UHD discs will all enable bus encryption. If you want to remove bus encryption, there are several methods:

  1. Use Official UHD drives supported by MakeMKV LibreDrive
    Once LibreDrive is enabled, it can disable bus encryption. Enable LibreDrive for UHD is the settings for this type of drivers.
  2. Use UHD-Friendly drives
    These drives allow the host to obtain RDK using an AACS 1.0 host certificate to remove bus encryption.

Drive Information

Double-click a record in My Drives will show the drive information:

If the drive certificate signature is correct, the Drive certificate will be shown in green color, else in red.

Click 'Drive certificate 1.0' or ‘Drive certificate 2.0' will show the AACS certificate decoder:

If the drive certificate signature is correct, the signature will be shown in green color, else in red.
If you paste the certificate ‘Private key’, Xreveal will verify the private key and show it in the corresponding color.


General

Language

Here you can choose the desired language of Xreveal's user interface.

The currently available languages are:

  • English
  • Bulgarian (Български)
  • Chinese (简体中文)
  • French (Français)
  • German (Deutsch)
  • Italian (Italiano)
  • Japanese (日本語)
  • Korean (한국어)
  • Polish (Polski)
  • Russian (Русский)
  • Spanish (Español)
  • Swedish (Svenska)

If you want to add other languages, please refer to Translations for Xreveal.

Theme Pro

This feature is only available on Windows 10 and later versions.

Value | Description
Dark | Dark mode
Light | Light mode
System | Theme will changed automatically when the system theme changed

Start Xreveal with Windows

If this option is enabled, Xreveal will be started always on Windows startup.

Keep this window always on top

If this option is enabled, the settings window will be always on top.

List drives in the system tray menu

If this options is enabled, the Xreveal tray menu will list drives.

Show information window for new media

This option allows you to display an information window, after new media is inserted.

Check for updates automatically

If this option is enabled, Xreveal will check for updates automatically.

Using AES hardware acceleration BD/UHD

If this option is enabled, Xreveal will decrypt M2TS with AES-NI instrucutions.


Sounds

Play sound after openning or ripping disc.

Note: The Xreveal installation package does not include success.wav/error.wav; you need to copy them yourself from other software (like CloneBD, ImgBurn, etc.).

Play sound after opening disc

After checking this option, Xreveal will play the success or error sound configured below when the disc is opened.

Play sound afer ripping disc

After checking this option, Xreveal will play the success or error sound configured below when the disc is ripped.


Hotkeys

Create hotkeys to quickly run some functions of Xreveal.

Show Xreveal system tray menu

Set a hotkey to show the Xreveal system tray menu.

Show settings window

Set a hotkey to show settings window.

Enable/Disable Xreveal

Set a hotkey to enable/disable Xreveal.

Rip to ISO file

Set a hotkey to rip to ISO file.

Rip to folder

Set a hotkey to rip to folder.

Content Hash Verifier

Set a hotkey to verify content hash of Blu-rays.


Actions

Actions after openning or ripping disc.

Post-Scan action

Specify a command to run after opening disc.

Post-Rip action

Specify a command to run after ripping disc.


Ripper

Ripper settings used by ripping to ISO and ripping to folder.

Read retry count

Ranges of value: [0, 20].

When a read error occurs, Xreveal will retry reading until it succeeds or reaches the specified maximum number of attempts.

Abort when ignored errors exceed

When the total number of ignored errors exceeds the specified limit, Xreveal will abort this rip operation.

Copy SSIF folder while ripping Blu-ray 3D to folder

If this option is check, Xreveal will copy /BDMV/STREAM/SSIF/ folder when ripping Blu-ray 3D to folder.

Since the .ssif file is composed of two interleaved .m2ts files, and the .ssif file can be reconstructed by parsing .clpi and .mpls or disc.metaiso, which can save nearly half of the disk space.

Append the drive status log to the rip log

If this option is check, Xreveal will append the drive status log to the rip log. Example: THE_POLAR_EXPRESS.log

Show warning when creating a protected image

If this option is checked, Xreveal will show the warning below:


BD / UHD

Settings to remove BD / UHD protections.

Enable Blu-ray support

If this option is selected, Xreveal will scan and process Blu-rays; otherwise, Xreveal will not process Blu-rays.

Remove RC (Region Code)

If this option is enabled, the region check on Blu-ray discs will be removed.

IMPORTANT: You must set the Blu-ray region in Xreveal to match the region of the disc you wish to play or copy!

Remove country code

Some US anime discs require this.

Remove UOPs (User Operation Prohibitions)

This will remove all user prohibited operations (not allowed to change or disable subtitles, not allowed to skip copyright notice).

Please note, that sometimes user actions which were prohibited will now lead to a "dead end" and your player software may behave strange or may even crash.

Remove CCI (Copy Control Information) Pro

Remove CCI in M2TS streams.

Disable BD-Live

This option will disable BD-Live (interactive content over the internet).

Simulate connected 3D display

Discs authored to play only in 3D can be viewed on a 2D display. A 3D capable player must be used for playback.

Rename AACS folder to ?

Option state | Value | Description
Unchecked |  | Keep /AACS folder untouched
Checked | any other values, the default is AAC! | Rename /AACS folder to the specified value
 | ---- | Hide /AACS folder

Remove annoying adverts and trailers

All video sequences that are usually played before the first menu appears or BD-J is loaded, will be skipped during playback.

Remove video sequences shorter than ? minutes Pro

Ranges: [0.5 minutes, 20 minutes]

Video sequences that don't belong to a menu and are shorter than the specified playback time will be skipped during playback. This will work with all Blu-ray discs, including Java titles.

Subtitle transparency Pro

Ranges of the transparency: [0% - invisible, 100% - solid]

You can specify the transparency of subtitles & subpictures. This can be helpful if you use a projection system, because bright subtitles can reduce the contrast of the picture. You can specify the visibility in percent, e.g. 100% is solid, 50% is half transparent, 0% is inbisible.

Note: Modifying the subtitle transparency will change the M2TS data, and it cannot be restored to the original M2TS, so it can no longer be verified using Content Hash Verifier.


KeyDB

Specify the keydb.cfg file path. If the keydb.cfg path is set, Xreveal may look up the decryption keys from keydb.cfg when opening BD/UHD/HD DVD.

If you don't have keydb.cfg, please Google keydb.cfg. Download and place the keydb.cfg inside the default folder %APPDATA%\aacs\.

Find keys online if not found locally Pro

Disable this option if you don't want to check the key online.


Players Region

Change the region code of the Blu-ray software player. This region code is a restriction implemented by the software player itself and is different from the region code of the DVD drive.

PowerDVD, WinDVD, and TotalMedia Theatre all limit the number of times you can change the player region code (usually up to 5 times), but Xreveal has no such limit, and you can modify it as much as you want.

List of currently supported players for region reset:

  • VLC Media Player
  • TotalMedia Theatre 3
  • TotalMedia Theatre 5
  • TotalMedia Theatre 6
  • WinDVD 9
  • WinDVD 10
  • WinDVD 11
  • WinDVD 12
  • PowerDVD 7
  • PowerDVD 8
  • PowerDVD 9
  • PowerDVD 10
  • PowerDVD 11
  • PowerDVD 12
  • PowerDVD 13
  • PowerDVD 14
  • PowerDVD 15
  • PowerDVD 16
  • PowerDVD 17
  • PowerDVD 18
  • PowerDVD 19
  • PowerDVD 20
  • PowerDVD 21
  • PowerDVD 22
  • PowerDVD 23
  • PowerDVD 24


HD DVD

Settings to remove HD DVD protections.

Enable HD DVD support

If this option is selected, Xreveal will scan and process HD DVDs; otherwise, Xreveal will not process HD DVDs.

Remove first play title

The "first play title" is usually a studio logo which cannot be skipped. This option will remove it for your convenience.

Remove user prohibitions

This option allows you to remove prohibited user operations, like changing audio or subtitle tracks directly from the remote control.

Remove parental restrictions

Remove parental restrictions in ADV_OBJ/*.XPL.


DVD

Settings to remove DVD protections

Enable DVD support

If this option is selected, Xreveal will scan and process DVDs; otherwise, Xreveal will not process DVDs.

Remove RC (Region Code)

Removes the Region Code from the DVD. The DVD will appear region free to all software.

Remove RCE (Region Code Enhancement)

This will disable Region Code Enhanced.

Remove APS (Analog Protection System)

This will remove Analog Protection System (Macrovision) from your DVD.

Remove UOPs (User Operation Prohibitions)

This will remove all user prohibited operations (not allowed to change or disable subtitles, not allowed to skip copyright notice).

Please note, that sometimes user actions which were prohibited will now lead to a "dead end" and your player software may behave strange or may even crash.

Remove ARccOS

This will remove ARccOS protection.

Disable AutoRun

This will disable "AutoRun" on Video discs. This is an effective way to prevent software, that has been put on the DVD together with the movie, to start automatically.

Subtitle transparency

You can specify the transparency of all DVD subtitles & subpictures. This can be helpful if you use a projection system to watch DVDs, because bright subtitles can reduce the contrast of the picture.


CD

Setting to remove CD digital audio protection.

Remove CD digital audio protection

This option allows you to play, copy and rip protected Audio CDs.

If Xreveal detects an Audio CD, it will modify the TOC to represent a valid, Red-Book Audio CD. Illegal Start and Stop timings are corrected and additional sessions are deleted.


About

Displays the software version and registration information.

Click Unregister to cancel the registration, and Xreveal will switch to the Free version.


Command Line

xreveal.exe Command [Parameters]
Command | Usage | Description
enable | xreveal enable | Enable Xreveal
disable | xreveal disable | Disable Xreveal
rip2iso | xreveal rip2iso [driveLetter] [isoFile] | Rip a disc to an ISO file
rip2folder | xreveal rip2folder [driveLetter] [folder] | Rip a disc to(as) a folder
verify | xreveal verify [driveLetter] | Verify content hash of a Blu-ray
register | xreveal register | Register Xreveal

Examples

  • Rip drive G: to ISO file d:\mymovie\foo.iso
    xreveal rip2iso g: d:\mymovie\foo.iso
  • Rip drive G: to folder d:\mymovie\foo
    xreveal rip2folder g: "d:\mymovie\foo"

Notes

  • All parameters are case-insensitive
  • Switches can start with a slash / or dash -
  • DriveLetter with a letter from D to Z

Installer Command Line

Command | Usage | Action
-s | xreveal_x.x.x.exe -s | Silent install mode


Tools

Online Tools

  • VUK and UK Calculator - Calculate VUK and UK online
  • keydb.cfg Record Creator - Create a keydb.cfg record with a DiscID/Label/VUK/UKs
  • AACS Certificate Decoder - Decode AACS 1.0 or 2.0 host/drive certficate
  • AES Encryption/Decryption - AES-128E, AES-128D, AES-128CBCE, AES-128CBCD, AES-G, AES-G3
  • Hash Generator - SHA1, SHA256
  • Metafile Submission - To help developers quickly identifying issues

Command Line Tools

  • Content Hash Verifier


FAQ

  1. Starter
    • 1.1. What is Xreveal?
    • 1.2. Is there a Linux version? Or a version for macOS?
    • 1.3. My antivirus software has identified a threat in Xreveal.
    • 1.4. Can I use Xreveal without an internet connection?
    • 1.5. What is your refund policy?
    • 1.6. Do I need an internet connection to activate Xreveal Pro?
  2. Troubleshooting
    • 2.1. I can't remove BD+, Xreveal won't remove it, but it worked before.
    • 2.2. How to submit the disc metafile?
    • 2.3. What can I do when encountering a disc that won't open?
    • 2.4. What can I do when encountering a Blue Screen of Death (BSOD)
  3. License & Registration
    • 3.1. I lost my license key, how to resend it?
    • 3.2. How to change a licensed email to a new email?
    • 3.3. If I use my lifetime Pro license on 3 different computers, and uninstall it from one of them, can I now install the license to another one?
    • 3.4. I didn't receive the license key email after purchasing.
    • 3.5. Is there a limit to how many times I can use my license key?

1.1 What is Xreveal?

Xreveal is a Windows based application similar to AnyDVD that removes restrictions of DVD, and Blu-ray media automatically in the background.

1.2 Is there a Linux version? Or a version for macOS?

TO-DO.

1.3 My antivirus software has identified a threat in Xreveal.

Xreveal is 100% virus-free, adware-free, malware-free, and spyware-free. Xreveal has also has been independently verified as "100% clean" by Softpedia.

However, some antivirus software may incorrectly identify components within Xreveal as a threat. These warnings are a false positive.

1.4 Can I use Xreveal without an internet connection?

Yes, an internet connection is not required if Xreveal can retrieve the disc key locally.

For Pro users, once you have inserted a disc, Xreveal will automatically save the disc key to the 'My Discs' local database, opening the disc again later will prioritize using the key in 'My Discs'.

1.5 What is your refund policy?

No refund policy.

Xreveal is sold as "try-before-you-buy" software, you can try most of it's functionality that is free. Please consider purchasing the software after you have used it carefully, and feel that it's perfect for you, and that it's helpful.

1.6 Do I need an internet connection to activate Xreveal Pro?

No.

2.1 I can't remove BD+, Xreveal won't remove it, but it worked before.

This is a limitation for free users. The removal of BD+ protection feature can be used for free one day every three days.

2.2 How to submit the disc metafile?

Click "Metafile submission" in Settings > Status page to create a metafile.

Pro users could submit metafile directly in software, or you can submit manually.

The generated metafile is in the %tmp%/Xreveal/ directory. When the Metafile submission dialog is closed, the generated metafile will be automatically deleted.

2.3 What can I do when encountering a disc that won't open?

Please submit the metafile or the purchase link from websites like Amazon or www.blu-ray.com. Thank you.

Pro users could submit metafile directly in software, or you can submit manually.

A metafile is an encrypted jar file that contains information such as disc data snapshots, drive models, and software settings. It's used only by our developers to diagnose issues. We will not share any collected metafile files with third parties.

2.4 What can I do when encountering a Blue Screen of Death (BSOD)

If your computer has third-party antivirus software installed, try turning off the antivirus software, and try again with Xreveal.

If still BSOD, please remove the disc in the drive and restart the computer.

If Windows can start successfully, please send the files in C:\Windows\Minidump\ to support@xreveal.com, thank you.

If still BSOD, please start Windows in Safe Mode, then delete C:\Windows\System32\xreveal.sys, then restart computer, and send the files in C:\Windows\Minidump\ to support@xreveal.com, thank you.

3.1 I lost my license key, how to resend it?

If you lose your license key, we can resend it to you via email: Find my lost Xreveal license key.

3.2 How to change a licensed email to a new email?

Please contact sales@xreveal.com with your current licensed email, and provide with new licensed email.

3.3 If I use my lifetime Pro license on 3 different computers, and uninstall it from one of them, can I now install the license to another one?

Yes.

If you don't want to uninstall Xreveal, you can click Settings - About - Unregister.

3.4 I didn't receive the license key email after purchasing.

Double-check the email address you entered when you paid, and make sure it is correct. If you paid with PayPal to check the email address associated with PayPal, in case they are different.

Check your email Spam or Junk folders. Sometimes the license key email is marked as Spam.

If after 15 minutes you still have not received the key email please contact support@xreveal.com, we will be happy to re-send your license key.

If you still haven't received a reply in one working day, maybe your mailbox has blocked the emails we sent. We suggest you use another e-mail to contact us.

3.5 Is there a limit to how many times I can use my license key?

No activation limit, but one single-user license can only be used on up to three computers.

You can uninstall Xreveal to deactivate on the old computer. If you don't want to uninstall Xreveal, you can click Settings - About - Unregister. Then register on the new computer.


Support

For the latest version of Xreveal and for other news about the program, visit our web site at: www.xreveal.com

Technical Support

Please send any comments, suggestions or bug reports to: www.xreveal.com/support.html or support@xreveal.com

Access our FAQ at: faq.html

Customer Support

If you need help ordering Xreveal, contact us at: sales@xreveal.com

If you lose your license key, we can resend it to you via email: Find my lost license key.

License Agreement

License Agreement